python-wrapt_1.10.11-1+b1_amd64.deb


Advertisement

Description

python-wrapt - decorators, wrappers and monkey patching. - Python 2.x

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package filename python-wrapt_1.10.11-1+b1_amd64.deb
Package name python-wrapt
Package version 1.10.11
Package release 1+b1
Package architecture amd64
Package type deb
Category implemented-in::python python
Homepage https://github.com/GrahamDumpleton/wrapt
License -
Maintainer Debian OpenStack <team+openstack@tracker.debian.org>
Download size 36.33 KB
Installed size 142.00 KB

Alternatives

Package Version Architecture Repository
python-wrapt_1.10.11-1_i386.deb 1.10.11 i386 Debian Main
python-wrapt_1.9.0-4~nd0~nd+1_i386.deb 1.9.0 i386 NeuroDebian Main
python-wrapt_1.9.0-4~nd0~nd+1_amd64.deb 1.9.0 amd64 NeuroDebian Main
python-wrapt - - -

Requires

Name Value
libc6 >= 2.4
python >= 2.7~
python << 2.8
python-six -
python:any << 2.8
python:any >= 2.7~

Download

Type URL
Mirror ftp.br.debian.org
Binary Package python-wrapt_1.10.11-1+b1_amd64.deb
Source Package python-wrapt

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-wrapt deb package:
    # sudo apt-get install python-wrapt

Files

Path
/usr/lib/python2.7/dist-packages/wrapt-1.10.11.egg-info
/usr/lib/python2.7/dist-packages/wrapt/__init__.py
/usr/lib/python2.7/dist-packages/wrapt/_wrappers.x86_64-linux-gnu.so
/usr/lib/python2.7/dist-packages/wrapt/arguments.py
/usr/lib/python2.7/dist-packages/wrapt/decorators.py
/usr/lib/python2.7/dist-packages/wrapt/importer.py
/usr/lib/python2.7/dist-packages/wrapt/wrappers.py
/usr/share/doc/python-wrapt/changelog.Debian.amd64.gz
/usr/share/doc/python-wrapt/changelog.Debian.gz
/usr/share/doc/python-wrapt/changelog.gz
/usr/share/doc/python-wrapt/copyright

Changelog

2018-09-07 - Thomas Goirand <zigo@debian.org>
python-wrapt (1.10.11-1) unstable; urgency=medium
[ Ondřej Nový ]
* d/control: Set Vcs-* to salsa.debian.org
* d/control: Use team+openstack@tracker.debian.org as maintainer
[ Thomas Goirand ]
* New upstream release:
- Fix segfaults (Closes: #875797).
* Fix PYTHONPATH when running tests.
2017-10-31 - Ondřej Nový <onovy@debian.org>
python-wrapt (1.9.0-3) unstable; urgency=medium
* Team upload.
[ Daniel Baumann ]
* Updating vcs fields. (Closes: #875798)
* Updating copyright format url.
* Updating maintainer field.
* Running wrap-and-sort -bast.
* Removing gbp.conf, not used anymore or should be specified in the
developers dotfiles.
[ Ondřej Nový ]
* d/watch: Use pypi.debian.net (Closes: #875799)
* Updating standards version to 4.1.1.
2016-09-09 - Thomas Goirand <zigo@debian.org>
python-wrapt (1.9.0-2) unstable; urgency=medium
* Repair the mistake of build-depends-indep: the binaries are *not*
arch: all.
2016-09-09 - Thomas Goirand <zigo@debian.org>
python-wrapt (1.9.0-1) unstable; urgency=medium
[ Ondřej Nový ]
* Fixed VCS URLs (https).
* d/rules: Changed UPSTREAM_GIT protocol to https
[ Thomas Goirand ]
* New upstream release (Closes: #765064):
- Drop do-not-use-embedded-six.py.patch and
no-from-wrapt-import-six-in-tests.patch, as src/six.py is gone upstream.
- Drop fix-python-3.4-compat.patch applied upstream.
- Drop python-3.2-compat.patch as upstream isn't using embedded six.
* Standards-Version is now 3.9.6 (no change).
* Removed non-active maintainers.
* Reviewed (build-)depends and ran wrap-and-sort -t -a.
* Simplified debian/rules using goodies from openstack-pkg-tools >= 52~.
* Using python$$pyvers -m pytest to run tests (Closes: #835247).
* Fixed debian/copyright ordering.
* Standards-Version: 3.9.8 (no change).
* Added export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow.
* Removed do-not-use-the-rdt-sphinx-theme.patch and build-depends on the
python-sphinx-rtd-theme package.
2014-07-26 - Thomas Goirand <zigo@debian.org>
python-wrapt (1.8.0-5) unstable; urgency=medium
* Added do-not-run-test_proxy_attribute.patch to avoid FTBFS. Thanks to David
Suárez <david.sephirot@gmail.com> for the bug report (Closes: #755325).
2014-06-08 - Thomas Goirand <zigo@debian.org>
python-wrapt (1.8.0-4) unstable; urgency=medium
* wrapt is of arch "any" and not "all", therefore all the build-depends-indep
should be in build-depends. This upload fixes that.
2014-06-08 - Thomas Goirand <zigo@debian.org>
python-wrapt (1.8.0-3) unstable; urgency=medium
* Added missing depends on python-six / python3-six (Closes: #750579).
2014-06-05 - Thomas Goirand <zigo@debian.org>
python-wrapt (1.8.0-2) unstable; urgency=medium
* Moves python-sphinx to build-depends instead of build-depends-indep.
(Closes: #750579).
2014-05-28 - Thomas Goirand <zigo@debian.org>
python-wrapt (1.8.0-1) unstable; urgency=low
* Initial release. (Closes: #749594)

See Also

Package Description
python-ws4py-doc_0.4.2+dfsg1-4_all.deb WebSocket library (docs)
python-wstools_0.4.3-3_all.deb WSDL parsing tools Python module
python-wtforms-doc_2.2.1-2_all.deb flexible forms validation and rendering library for Python (doc)
python-wxgtk-media3.0_3.0.2.0+dfsg-8_amd64.deb Python interface to the wxWidgets Cross-platform C++ GUI toolkit (wx.media)
python-wxgtk-webview3.0_3.0.2.0+dfsg-8_amd64.deb Python interface to the wxWidgets Cross-platform C++ GUI toolkit (wx.html2)
python-wxgtk3.0-dev_3.0.2.0+dfsg-8_all.deb Development files for wxPython
python-wxgtk3.0_3.0.2.0+dfsg-8_amd64.deb Python interface to the wxWidgets Cross-platform C++ GUI toolkit
python-wxmpl_2.0.0-2.1_all.deb Painless matplotlib embedding in wxPython
python-wxtools_3.0.2.0+dfsg-8_all.deb Tools from the wxPython distribution
python-wxversion_3.0.2.0+dfsg-8_all.deb API for selecting the wxPython version to use
python-x2go-doc_0.6.0.2-1_all.deb Python module providing X2Go client API (documentation)
python-x2go_0.6.0.2-1_all.deb Python module providing X2Go client API (Python 2)
python-x2gobroker-doc_0.0.4.1-1_all.deb X2Go Session Broker (Python3 module documentation)
python-x3dh_0.5.8-1_all.deb Python 2 implementation of the X3DH key agreement protocol
python-xapian_1.4.12-2_amd64.deb Xapian search engine interface for Python
Advertisement
Advertisement